#!/bin/sh
#
# For installation, put this file (netgen.sh) in ${CAD_HOME}/bin/netgen.
# Put startup script "netgen.tcl" and shared library "tclnetgen.so"
# in ${CAD_HOME}/lib/netgen/tcl/, with a symbolic link from file
# ".wishrc" to "netgen.tcl".
#
# This script starts irsim under the Tcl interpreter,
# reading commands from a special .wishrc script which
# launches irsim and retains the Tcl interactive interpreter.

# Parse for the argument "-c[onsole]".  If it exists, run netgen
# with the TkCon console.  Strip this argument from the argument list.

TKCON=true

for i in $@ ; do
   case $i in
      -noc*) TKCON=;;
   esac
done

if [ $TKCON ]; then

   exec TCL_DIR/tkcon.tcl \
	-slave "package require Tk; set argc $#; set argv [list -$*]; \
	source TCL_DIR/netgen.tcl"

#  exec TCL_DIR/tkcon.tcl -exec "" -eval \
#	"set argc $#; set argv [list -$*]; source TCL_DIR/netgen.tcl"

else

   export HOME=TCL_DIR
#
# Make sure that the following points to your current wish
# executable, whereever it may be.
#
   exec wish -- -$@

fi
